Results 1 to 7 of 7
  1. #1
    Join Date
    Jan 2007
    Posts
    360

    Cannot install perl GD Module.....HELP please!!

    Hello,

    For the past few hours I am trying to install this GD Module for perl but it does not seem to work for some reason.

    Here is the error I am getting when installing through cpan:


    Code:
    cpan> install GD
    CPAN: Storable loaded ok
    Going to read /root/.cpan/Metadata
      Database was generated on Tue, 03 May 2011 17:29:44 GMT
    Running install for module GD
    Running make for L/LD/LDS/GD-2.46.tar.gz
    CPAN: Digest::MD5 loaded ok
    CPAN: Compress::Zlib loaded ok
    Checksum for /root/.cpan/sources/authors/id/L/LD/LDS/GD-2.46.tar.gz ok
    Scanning cache /root/.cpan/build for sizes
    GD-2.46/
    GD-2.46/Makefile.PL
    GD-2.46/qd.pl
    GD-2.46/typemap
    GD-2.46/META.yml
    GD-2.46/GD/
    GD-2.46/GD/Simple.pm
    GD-2.46/GD/Image.pm.PLS
    GD-2.46/GD/Polyline.pm
    GD-2.46/GD/Group.pm
    GD-2.46/GD/Polygon.pm
    GD-2.46/bdf_scripts/
    GD-2.46/bdf_scripts/bdftogd
    GD-2.46/bdf_scripts/README
    GD-2.46/bdf_scripts/bdf2gdfont.PLS
    GD-2.46/README.QUICKDRAW
    GD-2.46/README
    GD-2.46/demos/
    GD-2.46/demos/fonttest
    GD-2.46/demos/brushes.pl
    GD-2.46/demos/transform.pl
    GD-2.46/demos/shapes.pl
    GD-2.46/demos/tile.png
    GD-2.46/demos/polyline.pl
    GD-2.46/demos/fills.pl
    GD-2.46/demos/ttf.pl
    GD-2.46/demos/font_list.png
    GD-2.46/demos/truetype_test
    GD-2.46/demos/copies.pl
    GD-2.46/demos/gd_example.cgi
    GD-2.46/demos/polys.pl
    GD-2.46/GD.pm
    GD-2.46/GD.xs
    GD-2.46/README.unix
    GD-2.46/MANIFEST
    GD-2.46/ChangeLog
    GD-2.46/t/
    GD-2.46/t/test.out.7.png
    GD-2.46/t/test.out.10.png-3
    GD-2.46/t/test.out.8.png-3
    GD-2.46/t/test.out.9.png-2
    GD-2.46/t/test.out.4.png-1
    GD-2.46/t/test.out.8.png-5
    GD-2.46/t/test.out.8.png
    GD-2.46/t/test.out.5.png-1
    GD-2.46/t/test.out.10.gif
    GD-2.46/t/test.out.10.jpeg
    GD-2.46/t/test.out.10.png
    GD-2.46/t/test.out.2.gif
    GD-2.46/t/test.out.1.png
    GD-2.46/t/test.out.9.png-1
    GD-2.46/t/Polyline.t
    GD-2.46/t/tile.png
    GD-2.46/t/test.out.2.png-1
    GD-2.46/t/test.out.8.png-4
    GD-2.46/t/test.out.8.png-1
    GD-2.46/t/test.out.10.png-1
    GD-2.46/t/test.out.3.gif
    GD-2.46/t/test.out.3.png-1
    GD-2.46/t/test.out.4.jpeg
    GD-2.46/t/test.out.3.jpeg
    GD-2.46/t/tile.gif
    GD-2.46/t/tile.jpeg
    GD-2.46/t/frog.jpg
    GD-2.46/t/test.out.4.png
    GD-2.46/t/test.out.9.png
    GD-2.46/t/test.out.7.gif
    GD-2.46/t/test.out.8.jpeg
    GD-2.46/t/test.out.5.jpeg
    GD-2.46/t/test.out.2.png
    GD-2.46/t/test.out.6.jpeg
    GD-2.46/t/test.out.3.png
    GD-2.46/t/test.out.7.jpeg
    GD-2.46/t/test.out.9.gif
    GD-2.46/t/test.out.4.gif
    GD-2.46/t/test.out.5.png
    GD-2.46/t/test.out.8.png-2
    GD-2.46/t/test.out.2.jpeg
    GD-2.46/t/palettemap.png
    GD-2.46/t/test.out.7.png-1
    GD-2.46/t/test.out.8.gif
    GD-2.46/t/test.out.9.jpeg
    GD-2.46/t/GD.t
    GD-2.46/t/test.out.4.png-2
    GD-2.46/t/test.out.8.png-6
    GD-2.46/t/test.out.6.png
    GD-2.46/t/test.out.5.gif
    GD-2.46/t/frog.xpm
    GD-2.46/t/Generic.ttf
    GD-2.46/t/test.out.10.png-2
    GD-2.46/t/test.out.6.gif
    GD-2.46/t/test.out.6.png-1
    Removing previously used /root/.cpan/build/GD-2.46
    
      CPAN.pm: Going to build L/LD/LDS/GD-2.46.tar.gz
    
    Notice: Type perl Makefile.PL -h for command-line option summary.
    
    Configuring for libgd version 2.0.33.
    Checking for stray libgd header files...none found.
    
    Included Features:          GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE GD_PNG GD_GIF GD_UNCLOSEDPOLY GD_ANIMGIF GD_FTCIRCLE VERSION_33
    GD library used from:       /usr
    Checking if your kit is complete...
    Looks good
    Writing Makefile for GD
        -- NOT OK
    Running make test
      Can't test without successful make
    Running make install
      make had returned bad status, install seems impossible
    Does someone know how to fix this?

    I am new at server administration, so I am not sure whats wrong.

    Please help.

  2. #2
    Looks like you need gd-devel installed

  3. #3
    Join Date
    Jan 2007
    Posts
    360
    Its already installed.


    Code:
    yum install gd-devel
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: mirror.ubiquityservers.com
     * extras: mirrors.serveraxis.net
     * updates: mirrors.gigenet.com
    base                                                     | 2.1 kB     00:00
    dedicated                                                |  951 B     00:00
    extras                                                   | 2.1 kB     00:00
    updates                                                  | 1.9 kB     00:00
    Setting up Install Process
    Package gd-devel-2.0.33-9.4.el5_4.2.x86_64 already installed and latest version
    Package gd-devel-2.0.33-9.4.el5_4.2.i386 already installed and latest version
    Nothing to do
    By the way, please note I have 64bit CentOS, if it makes a difference.

  4. #4
    Join Date
    Mar 2002
    Location
    Philadelphia, PA
    Posts
    2,508
    Can you get me the output from.

    shell#> make -v
    Linux junkie | steward.io

  5. #5
    Join Date
    Jan 2007
    Posts
    360
    Code:
     make -v
    GNU Make 3.81
    Copyright (C) 2006  Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.
    There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
    PARTICULAR PURPOSE.
    
    This program built for x86_64-redhat-linux-gnu
    Thanks.

  6. #6
    Join Date
    Mar 2002
    Location
    Philadelphia, PA
    Posts
    2,508
    Run into a lot of CPAN issues myself, typically if it can't be quickly resolved I'll just download the library and compile/install myself, may just want to do that at this point.

    You may want to whipe the existing build files cache and try again.
    Linux junkie | steward.io

  7. #7
    Join Date
    Mar 2009
    Location
    /home/khunj
    Posts
    432
    Why not using yum ?

    Code:
    # yum install perl-GD
    NinTechNet
    ★ NinjaFirewall : Web Application Firewall for PHP and WordPress.
    ★ NinjaMonitoring : Monitor your website for suspicious activities.

Similar Threads

  1. can't install perl module?
    By Calibaba in forum Hosting Security and Technology
    Replies: 3
    Last Post: 07-11-2008, 04:14 PM
  2. install Perl Module in PLESK
    By webhostbeginner in forum Hosting Security and Technology
    Replies: 2
    Last Post: 06-21-2008, 09:24 AM
  3. howto install Perl module
    By CoolDavid in forum Hosting Security and Technology
    Replies: 14
    Last Post: 05-01-2007, 08:35 AM
  4. Install a Perl Module
    By 3-rx in forum Programming Discussion
    Replies: 1
    Last Post: 03-19-2005, 11:04 PM
  5. Install new perl module
    By kaz in forum Hosting Security and Technology
    Replies: 16
    Last Post: 06-03-2002, 09:30 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •